Subject: Re: [PATCH 5/5] introduce udp_rmem and udp_wmem

From: Hideo AOKI <[email-masked]>
Date: Sat, 03 Nov 2007 00:42:00 +0900

Hello,

I'm sorry to not respond quickly.

Bill Fink wrote:
> On Mon, 29 Oct 2007, Hideo AOKI wrote:
> 
>> This patch added /proc/sys/net/udp_rmem and /proc/sys/net/udp_rmem.
>> Each UDP packet is drooped when the number of pages for socket buffer
>> is beyond the limit and the socket already consumes minimum buffer.
> 
> I think you meant /proc/sys/net/ipv4/udp_{r,w}mem above.

You're right. New parameters are added to /proc/sys/net/ipv4.

> Patch not in-lined making replying more difficult.

I apologize for the inconvenient. I'll send patch as in-line next time.

>>> +udp_rmem - INTEGER
>> +	Minimal size of receive buffer used by UDP sockets. Each UDP socket
>> +	is able to use the size for receiving data, even if total pages of UDP
>> +	sockets exceed udp_mem. The unit is byte.
>> +	Default: 4096
>> +
>> +udp_wmem - INTEGER
>> +	Minimal size of send buffer used by UDP sockets. Each UDP socket is
>> +	able to use the size for sending data, even if total pages of UDP
>> +	sockets exceed udp_mem. The unit is byte.
>> +	Default: 4096
>> +
>>  CIPSOv4 Variables:
>>  
>>  cipso_cache_enable - BOOLEAN
> 
> I think either the above should be renamed to udp_{r,w}mem_min, or
> they should be changed to a 3-tuple like tcp_{r,w}mem, and the code
> refactored accordingly (but then what to do about
> /proc/sys/net/core/{r,w}mem_max).
> 
> 						-Bill

I understood. Then, I'll rename them to udp_{r,w}mem_min next take.
Please let me know if there is any suggestions.

Many thanks,
Hideo

-- 
Hitachi Computer Products (America) Inc.